* [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/
@ 2021-04-15 12:35 Andrew Ammerlaan
0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2021-04-15 12:35 UTC (permalink / raw
To: gentoo-commits
commit: 9a8e5c94ba8011a483a78809302c1494cacf014e
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Apr 15 12:35:30 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr 15 12:35:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9a8e5c94
games-emulation/np2kai: QA fixes, to make repoman happy
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
games-emulation/np2kai/np2kai-22.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/games-emulation/np2kai/np2kai-22.ebuild b/games-emulation/np2kai/np2kai-22.ebuild
index 0220e96d1..22a7116ff 100644
--- a/games-emulation/np2kai/np2kai-22.ebuild
+++ b/games-emulation/np2kai/np2kai-22.ebuild
@@ -26,7 +26,7 @@ DEPEND="sys-libs/glibc
media-libs/libsdl2
!sdl? ( media-libs/sdl2-mixer )
media-libs/sdl2-ttf
- virtual/libusb
+ virtual/libusb:1
x11-base/xorg-server
x11-libs/gtk+:2"
@@ -38,7 +38,7 @@ BDEPEND="sys-devel/gcc
S=${WORKDIR}/NP2kai-rev.${PV}/x11
src_configure() {
- bash ${S}/autogen.sh
+ bash "${S}/autogen.sh"
sdlconf=$(usex sdl "--enable-sdl --enable-sdlmixer --enable-sdlttf
--disable-sdl2 --disable-sdl2mixer --disable-sdl2ttf" \
"--enable-sdl2 --enable-sdl2mixer --enable-sdl2ttf
@@ -51,7 +51,7 @@ src_configure() {
}
pkg_postinst() {
- if [ "${features}" = "--enable-build-all" ] ; then
+ if [ "${features}" = "--enable-build-all" ] ; then
cfgname="{xnp2kai, xnp21kai}"
elif ! use ia32 && ! use haxm ; then
cfgname="xnp2kai"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/
@ 2021-04-15 21:23 Lino Bigatti
0 siblings, 0 replies; 5+ messages in thread
From: Lino Bigatti @ 2021-04-15 21:23 UTC (permalink / raw
To: gentoo-commits
commit: 97aca905d70e7ea2e4d5b9e045c3b42201cc9d6c
Author: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
AuthorDate: Thu Apr 15 21:22:53 2021 +0000
Commit: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
CommitDate: Thu Apr 15 21:23:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=97aca905
games-emulation/np2kai: ebuild QA fixes
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Lino Bigatti <linobigatti <AT> protonmail.com>
games-emulation/np2kai/metadata.xml | 9 ++--
games-emulation/np2kai/np2kai-22.ebuild | 86 ++++++++++++++++++---------------
2 files changed, 52 insertions(+), 43 deletions(-)
diff --git a/games-emulation/np2kai/metadata.xml b/games-emulation/np2kai/metadata.xml
index c8c54e1d0..7dcbc8858 100644
--- a/games-emulation/np2kai/metadata.xml
+++ b/games-emulation/np2kai/metadata.xml
@@ -11,12 +11,11 @@
It is based on Neko project II.
</longdescription>
<use>
- <flag name="sdl">
- Use <pkg>media-libs/libsdl</pkg> over <pkg>media-libs/libsdl2</pkg>
- </flag>
+ <flag name="sdl">Use <pkg>media-libs/libsdl</pkg></flag>
+ <flag name="sdl2">Use <pkg>media-libs/libsdl2</pkg></flag>
<flag name="i286">
- Enable i286 emulation.
- USE="ia32" or USE="haxm" will disable it,
+ Enable i286 emulation
+ USE="ia32" or USE="haxm" will disable it,
unless all 3 emulation USE flags are set
</flag>
<flag name="ia32">Enable ia32 emulation</flag>
diff --git a/games-emulation/np2kai/np2kai-22.ebuild b/games-emulation/np2kai/np2kai-22.ebuild
index 22a7116ff..035962b57 100644
--- a/games-emulation/np2kai/np2kai-22.ebuild
+++ b/games-emulation/np2kai/np2kai-22.ebuild
@@ -3,66 +3,76 @@
EAPI=7
-DESCRIPTION="NP2kai is an emulator for the japanese PC-98 series of computers."
+DESCRIPTION="NP2kai is an emulator for the japanese PC-98 series of computers"
HOMEPAGE="https://domisan.sakura.ne.jp/article/np2kai/np2kai.html"
SRC_URI="https://github.com/AZO234/NP2kai/archive/refs/tags/rev.${PV}.tar.gz -> ${P}.tar.gz"
-PATCHES=(
- "${FILESDIR}/${P}-autogen.patch"
-)
-
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-
-IUSE="sdl +i286 ia32 haxm"
+IUSE="sdl +sdl2 +i286 ia32 haxm"
+REQUIRED_USE="^^ ( sdl sdl2 )"
# Configure crashes if sdl AND sdl2 are not present, even if the options are off
# It also requires sdl2-ttf even when building for sdl
-DEPEND="sys-libs/glibc
- media-libs/libsdl
- sdl? ( media-libs/sdl-mixer )
- sdl? ( media-libs/sdl-ttf )
+# TODO: test musl
+# TODO: migrate from gtk2 to gtk3
+DEPEND="media-libs/libsdl
media-libs/libsdl2
- !sdl? ( media-libs/sdl2-mixer )
+ sdl? (
+ media-libs/sdl-mixer
+ media-libs/sdl-ttf
+ )
+ sdl2? (
+ media-libs/sdl2-mixer
+ )
media-libs/sdl2-ttf
virtual/libusb:1
x11-base/xorg-server
x11-libs/gtk+:2"
-
RDEPEND="${DEPEND}"
-BDEPEND="sys-devel/gcc
- sys-devel/automake
- dev-util/cmake"
+BDEPEND="sys-devel/automake"
-S=${WORKDIR}/NP2kai-rev.${PV}/x11
+S="${WORKDIR}/NP2kai-rev.${PV}/x11"
+PATCHES=(
+ "${FILESDIR}/${P}-autogen.patch"
+)
+
+# TODO: add a die statement to autogen
src_configure() {
bash "${S}/autogen.sh"
- sdlconf=$(usex sdl "--enable-sdl --enable-sdlmixer --enable-sdlttf
- --disable-sdl2 --disable-sdl2mixer --disable-sdl2ttf" \
- "--enable-sdl2 --enable-sdl2mixer --enable-sdl2ttf
- --disable-sdl --disable-sdlmixer --disable-sdlttf" )
- features=$( if use i286 && use ia32 && use haxm ; \
- then echo --enable-build-all ; \
- else echo $(use_enable ia32) $(use_enable haxm) ; \
- fi )
- econf ${sdlconf} ${features}
+ if use i286 && use ia32 && use haxm ; then
+ features=("--enable-build-all")
+ else
+ features=($(use_enable ia32) $(use_enable haxm))
+ fi
+ local myeconfargs=(
+ $(use_enable sdl)
+ $(use_enable sdl sdlmixer)
+ $(use_enable sdl sdlttf)
+ $(use_enable sdl2)
+ $(use_enable sdl2 sdl2mixer)
+ $(use_enable sdl2 sdl2ttf)
+ )
+ econf "${myeconfargs[@]}" "${features}"
}
pkg_postinst() {
- if [ "${features}" = "--enable-build-all" ] ; then
- cfgname="{xnp2kai, xnp21kai}"
- elif ! use ia32 && ! use haxm ; then
- cfgname="xnp2kai"
- else
- cfgname="xnp21kai"
- fi
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ if [ use i286 && use ia32 && use haxm ] ; then
+ cfgname="{xnp2kai, xnp21kai}"
+ elif [ ! use ia32 && ! use haxm ] ; then
+ cfgname="xnp2kai"
+ else
+ cfgname="xnp21kai"
+ fi
- elog "Japanese fonts are needed to use the emulator."
- elog "Please run the following command to configure them:"
- elog "mkdir -p ~/.config/${cfgname} && ln -s /path/to/font.ttf ~/.config/${cfgname}/default.ttf && rm ~/.config/${cfgname}/font.tmp"
+ elog "Japanese fonts are needed to use the emulator."
+ elog "Please run the following command to configure them:"
+ elog "mkdir -p ~/.config/${cfgname} && ln -s /path/to/font.ttf ~/.config/${cfgname}/default.ttf && rm ~/.config/${cfgname}/font.tmp"
- elog "Neko project 2 requires a BIOS dump to work."
- elog "Please dump the BIOS from your device and put the files under ~/.config/${cfgname}"
+ elog "Neko project 2 requires a BIOS dump to work."
+ elog "Please dump the BIOS from your device and put the files under ~/.config/${cfgname}"
+ fi
}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/
@ 2021-04-16 11:30 Theo Anderson
0 siblings, 0 replies; 5+ messages in thread
From: Theo Anderson @ 2021-04-16 11:30 UTC (permalink / raw
To: gentoo-commits
commit: d20458e5acd07447803514d53bbe2d48957946aa
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Fri Apr 16 11:28:33 2021 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Fri Apr 16 11:30:39 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d20458e5
games-emulation/np2kai: add 22_p20210211
* unkeyworded for testing
* migrated to cmake build system
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
games-emulation/np2kai/Manifest | 2 +
games-emulation/np2kai/metadata.xml | 7 +-
games-emulation/np2kai/np2kai-22_p20210211.ebuild | 91 +++++++++++++++++++++++
3 files changed, 97 insertions(+), 3 deletions(-)
diff --git a/games-emulation/np2kai/Manifest b/games-emulation/np2kai/Manifest
index a12654926..48529de63 100644
--- a/games-emulation/np2kai/Manifest
+++ b/games-emulation/np2kai/Manifest
@@ -1 +1,3 @@
DIST np2kai-22.tar.gz 3189290 BLAKE2B 74856a40ae57a71b1958f5c546ee3c907b1b1f5975715b21ce5a6c3a044a4c9ebf425e6ed1819e2d688e48be3853bb5f161e3e0c5031cd316359f7ebce0d5418 SHA512 47cd75b251dc0382537769225297dd155bb7b95a1fba7417a9c06b56f4fc89b0c38de101a68da8e8d776d456574aa6bf7f4e1490b3666f20469d4bf18e72b6dd
+DIST np2kai-22_p20210211.tar.gz 3121849 BLAKE2B 21679e1d2a6bc9877ffeb256ddb19ca613e6f1abaf643087bdcff8b92e77aee9099d6dc7c574fe25407f092e6401f3d974463bedd6898e09d56d6e3a1465f93e SHA512 a9e9413a9257496498e5b289d4346072bc9582437691a4e2aa68d93fb1a1a5b12a0ff526cd436a6492629f77724e87564635dc83b53c4c1fe9341ea36597c251
+DIST sdl2-cmake-modules-ad006a3daae65a612ed87415037e32188b81071e.tar.gz 11996 BLAKE2B 751cde3370594b20520fdedef35fc6aa1806932f3fbe01c6068b0dbe696d113df1afbfe6e84eb7c5166afb4cb12a619282855e7f050374bc49d7cd948e5cb808 SHA512 72b20cce9073d554df67c6efa23e77da07fadce064535d03d943aab05a0bfab2b0253fa4fc04e98f9e9aa169429f0597f825867cebf71c4048032fe85cf61de3
diff --git a/games-emulation/np2kai/metadata.xml b/games-emulation/np2kai/metadata.xml
index 7dcbc8858..b00def1c4 100644
--- a/games-emulation/np2kai/metadata.xml
+++ b/games-emulation/np2kai/metadata.xml
@@ -11,14 +11,15 @@
It is based on Neko project II.
</longdescription>
<use>
- <flag name="sdl">Use <pkg>media-libs/libsdl</pkg></flag>
- <flag name="sdl2">Use <pkg>media-libs/libsdl2</pkg></flag>
+ <flag name="haxm">Enable haxm emulation</flag>
<flag name="i286">
Enable i286 emulation
USE="ia32" or USE="haxm" will disable it,
unless all 3 emulation USE flags are set
</flag>
<flag name="ia32">Enable ia32 emulation</flag>
- <flag name="haxm">Enable haxm emulation</flag>
+ <flag name="sdl">Use <pkg>media-libs/libsdl</pkg> instead of <pkg>media-libs/libsdl2</pkg></flag>
+ <flag name="sdl2">Use <pkg>media-libs/libsdl2</pkg> instead of <pkg>media-libs/libsdl</pkg></flag>
+ <flag name="X">Build support for X</flag>
</use>
</pkgmetadata>
diff --git a/games-emulation/np2kai/np2kai-22_p20210211.ebuild b/games-emulation/np2kai/np2kai-22_p20210211.ebuild
new file mode 100644
index 000000000..92756c159
--- /dev/null
+++ b/games-emulation/np2kai/np2kai-22_p20210211.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg cmake
+
+MY_REV=3e8fedc7c1c6f68faa26589187512474a766ee9e
+MY_SDL2_CMAKE_MODULES_REV=ad006a3daae65a612ed87415037e32188b81071e
+
+DESCRIPTION="NP2kai is an emulator for the japanese PC-98 series of computers"
+HOMEPAGE="https://domisan.sakura.ne.jp/article/np2kai/np2kai.html"
+SRC_URI="
+ https://github.com/AZO234/NP2kai/archive/${MY_REV}.tar.gz -> ${P}.tar.gz
+ https://github.com/aminosbh/sdl2-cmake-modules/archive/${MY_SDL2_CMAKE_MODULES_REV}.tar.gz \
+ -> sdl2-cmake-modules-${MY_SDL2_CMAKE_MODULES_REV}.tar.gz
+"
+
+LICENSE="MIT BSD"
+SLOT="0"
+KEYWORDS="" # Unkeyworded for testing
+IUSE="haxm +i286 +sdl2 +X"
+REQUIRED_USE="|| ( sdl2 X )"
+
+# TODO: migrate from gtk2 to gtk3
+DEPEND="
+ dev-libs/openssl:=
+ virtual/libusb:1
+ sdl2? (
+ media-libs/libsdl2
+ media-libs/sdl2-ttf
+ media-libs/sdl2-mixer
+ )
+ !sdl2? (
+ media-libs/libsdl
+ media-libs/sdl-mixer
+ media-libs/sdl-ttf
+ )
+ X? (
+ dev-libs/glib
+ media-libs/freetype
+ media-libs/fontconfig
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ )
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/NP2kai-${MY_REV}"
+
+src_prepare() {
+ sed -i 's/CONFIGURATIONS Release/CONFIGURATIONS Gentoo/g' CMakeLists.txt || die
+ mv "${WORKDIR}"/sdl2-cmake-modules-${MY_SDL2_CMAKE_MODULES_REV}/* \
+ "${S}"/cmake/sdl2-cmake-modules/ || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_I286=$(usex i286)
+ -DBUILD_HAXM=$(usex haxm)
+ -DBUILD_SDL=ON
+ -DBUILD_X=$(usex X)
+ -DNP2kai_temp=NO
+ -DUSE_HAXM=$(usex haxm)
+ -DUSE_SDL2=$(usex sdl2)
+ )
+
+ NP2KAI_VERSION=${PV} NP2KAI_HASH=${MY_REV} cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ if use i286 && use haxm; then
+ local cfgname="{xnp2kai,xnp21kai}"
+ elif ! use haxm; then
+ local cfgname="xnp2kai"
+ else
+ local cfgname="xnp21kai"
+ fi
+
+ elog "Japanese fonts are needed to use the emulator."
+ elog "Please run the following command to configure them:"
+ elog "mkdir -p ~/.config/${cfgname} && ln -s /path/to/font.ttf ~/.config/${cfgname}/default.ttf && rm ~/.config/${cfgname}/font.tmp"
+ elog
+ elog "Neko project 2 requires a BIOS dump to work."
+ elog "Please dump the BIOS from your device and put the files under ~/.config/${cfgname}"
+ fi
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/
@ 2021-04-16 18:57 Lino Bigatti
0 siblings, 0 replies; 5+ messages in thread
From: Lino Bigatti @ 2021-04-16 18:57 UTC (permalink / raw
To: gentoo-commits
commit: 2826ce8e9836fc7fe7ce34c2a7a00e0c5488c5d3
Author: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
AuthorDate: Fri Apr 16 18:57:33 2021 +0000
Commit: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
CommitDate: Fri Apr 16 18:57:48 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2826ce8e
games-emulation/np2kai: Test the ebuild and move to ~amd64
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Lino Bigatti <linobigatti <AT> protonmail.com>
games-emulation/np2kai/Manifest | 2 +-
...np2kai-22_p20210211.ebuild => np2kai-23.ebuild} | 22 ++++++++++------------
2 files changed, 11 insertions(+), 13 deletions(-)
diff --git a/games-emulation/np2kai/Manifest b/games-emulation/np2kai/Manifest
index 48529de63..5d4a2c696 100644
--- a/games-emulation/np2kai/Manifest
+++ b/games-emulation/np2kai/Manifest
@@ -1,3 +1,3 @@
DIST np2kai-22.tar.gz 3189290 BLAKE2B 74856a40ae57a71b1958f5c546ee3c907b1b1f5975715b21ce5a6c3a044a4c9ebf425e6ed1819e2d688e48be3853bb5f161e3e0c5031cd316359f7ebce0d5418 SHA512 47cd75b251dc0382537769225297dd155bb7b95a1fba7417a9c06b56f4fc89b0c38de101a68da8e8d776d456574aa6bf7f4e1490b3666f20469d4bf18e72b6dd
-DIST np2kai-22_p20210211.tar.gz 3121849 BLAKE2B 21679e1d2a6bc9877ffeb256ddb19ca613e6f1abaf643087bdcff8b92e77aee9099d6dc7c574fe25407f092e6401f3d974463bedd6898e09d56d6e3a1465f93e SHA512 a9e9413a9257496498e5b289d4346072bc9582437691a4e2aa68d93fb1a1a5b12a0ff526cd436a6492629f77724e87564635dc83b53c4c1fe9341ea36597c251
+DIST np2kai-23.tar.gz 3121849 BLAKE2B 21679e1d2a6bc9877ffeb256ddb19ca613e6f1abaf643087bdcff8b92e77aee9099d6dc7c574fe25407f092e6401f3d974463bedd6898e09d56d6e3a1465f93e SHA512 a9e9413a9257496498e5b289d4346072bc9582437691a4e2aa68d93fb1a1a5b12a0ff526cd436a6492629f77724e87564635dc83b53c4c1fe9341ea36597c251
DIST sdl2-cmake-modules-ad006a3daae65a612ed87415037e32188b81071e.tar.gz 11996 BLAKE2B 751cde3370594b20520fdedef35fc6aa1806932f3fbe01c6068b0dbe696d113df1afbfe6e84eb7c5166afb4cb12a619282855e7f050374bc49d7cd948e5cb808 SHA512 72b20cce9073d554df67c6efa23e77da07fadce064535d03d943aab05a0bfab2b0253fa4fc04e98f9e9aa169429f0597f825867cebf71c4048032fe85cf61de3
diff --git a/games-emulation/np2kai/np2kai-22_p20210211.ebuild b/games-emulation/np2kai/np2kai-23.ebuild
similarity index 84%
rename from games-emulation/np2kai/np2kai-22_p20210211.ebuild
rename to games-emulation/np2kai/np2kai-23.ebuild
index 92756c159..dae583a43 100644
--- a/games-emulation/np2kai/np2kai-22_p20210211.ebuild
+++ b/games-emulation/np2kai/np2kai-23.ebuild
@@ -18,9 +18,9 @@ SRC_URI="
LICENSE="MIT BSD"
SLOT="0"
-KEYWORDS="" # Unkeyworded for testing
-IUSE="haxm +i286 +sdl2 +X"
-REQUIRED_USE="|| ( sdl2 X )"
+KEYWORDS="~amd64"
+IUSE="+i286 ia32 haxm +sdl2 +X"
+REQUIRED_USE="|| ( X sdl2 ) ^^ ( i286 ia32 )"
# TODO: migrate from gtk2 to gtk3
DEPEND="
@@ -49,7 +49,7 @@ RDEPEND="${DEPEND}"
S="${WORKDIR}/NP2kai-${MY_REV}"
src_prepare() {
- sed -i 's/CONFIGURATIONS Release/CONFIGURATIONS Gentoo/g' CMakeLists.txt || die
+ sed -i '+s/CONFIGURATIONS Release/CONFIGURATIONS Gentoo/g' CMakeLists.txt || die
mv "${WORKDIR}"/sdl2-cmake-modules-${MY_SDL2_CMAKE_MODULES_REV}/* \
"${S}"/cmake/sdl2-cmake-modules/ || die
@@ -58,13 +58,11 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
- -DBUILD_I286=$(usex i286)
- -DBUILD_HAXM=$(usex haxm)
- -DBUILD_SDL=ON
- -DBUILD_X=$(usex X)
- -DNP2kai_temp=NO
- -DUSE_HAXM=$(usex haxm)
- -DUSE_SDL2=$(usex sdl2)
+ -D BUILD_I286=$(usex i286 ON OFF)
+ -D BUILD_HAXM=$(usex haxm ON OFF)
+ -D BUILD_SDL=ON
+ -D BUILD_X=$(usex X ON OFF)
+ -D NP2kai_temp=OFF
)
NP2KAI_VERSION=${PV} NP2KAI_HASH=${MY_REV} cmake_src_configure
@@ -75,7 +73,7 @@ pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]]; then
if use i286 && use haxm; then
local cfgname="{xnp2kai,xnp21kai}"
- elif ! use haxm; then
+ elif use i286 && ! use haxm; then
local cfgname="xnp2kai"
else
local cfgname="xnp21kai"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/
@ 2021-04-17 1:44 Lino Bigatti
0 siblings, 0 replies; 5+ messages in thread
From: Lino Bigatti @ 2021-04-17 1:44 UTC (permalink / raw
To: gentoo-commits
commit: a9762a016a89c36fc74e0412ef4f748507bdd316
Author: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
AuthorDate: Sat Apr 17 01:44:10 2021 +0000
Commit: Lino Bigatti <linobigatti <AT> protonmail <DOT> com>
CommitDate: Sat Apr 17 01:44:25 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a9762a01
games-emulation/np2kai: Revert some changes
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Lino Bigatti <linobigatti <AT> protonmail.com>
games-emulation/np2kai/Manifest | 2 +-
.../np2kai/{np2kai-23.ebuild => np2kai-22_p20210211.ebuild} | 8 ++++----
2 files changed, 5 insertions(+), 5 deletions(-)
diff --git a/games-emulation/np2kai/Manifest b/games-emulation/np2kai/Manifest
index 5d4a2c696..48529de63 100644
--- a/games-emulation/np2kai/Manifest
+++ b/games-emulation/np2kai/Manifest
@@ -1,3 +1,3 @@
DIST np2kai-22.tar.gz 3189290 BLAKE2B 74856a40ae57a71b1958f5c546ee3c907b1b1f5975715b21ce5a6c3a044a4c9ebf425e6ed1819e2d688e48be3853bb5f161e3e0c5031cd316359f7ebce0d5418 SHA512 47cd75b251dc0382537769225297dd155bb7b95a1fba7417a9c06b56f4fc89b0c38de101a68da8e8d776d456574aa6bf7f4e1490b3666f20469d4bf18e72b6dd
-DIST np2kai-23.tar.gz 3121849 BLAKE2B 21679e1d2a6bc9877ffeb256ddb19ca613e6f1abaf643087bdcff8b92e77aee9099d6dc7c574fe25407f092e6401f3d974463bedd6898e09d56d6e3a1465f93e SHA512 a9e9413a9257496498e5b289d4346072bc9582437691a4e2aa68d93fb1a1a5b12a0ff526cd436a6492629f77724e87564635dc83b53c4c1fe9341ea36597c251
+DIST np2kai-22_p20210211.tar.gz 3121849 BLAKE2B 21679e1d2a6bc9877ffeb256ddb19ca613e6f1abaf643087bdcff8b92e77aee9099d6dc7c574fe25407f092e6401f3d974463bedd6898e09d56d6e3a1465f93e SHA512 a9e9413a9257496498e5b289d4346072bc9582437691a4e2aa68d93fb1a1a5b12a0ff526cd436a6492629f77724e87564635dc83b53c4c1fe9341ea36597c251
DIST sdl2-cmake-modules-ad006a3daae65a612ed87415037e32188b81071e.tar.gz 11996 BLAKE2B 751cde3370594b20520fdedef35fc6aa1806932f3fbe01c6068b0dbe696d113df1afbfe6e84eb7c5166afb4cb12a619282855e7f050374bc49d7cd948e5cb808 SHA512 72b20cce9073d554df67c6efa23e77da07fadce064535d03d943aab05a0bfab2b0253fa4fc04e98f9e9aa169429f0597f825867cebf71c4048032fe85cf61de3
diff --git a/games-emulation/np2kai/np2kai-23.ebuild b/games-emulation/np2kai/np2kai-22_p20210211.ebuild
similarity index 94%
rename from games-emulation/np2kai/np2kai-23.ebuild
rename to games-emulation/np2kai/np2kai-22_p20210211.ebuild
index dae583a43..15ccd8f3d 100644
--- a/games-emulation/np2kai/np2kai-23.ebuild
+++ b/games-emulation/np2kai/np2kai-22_p20210211.ebuild
@@ -58,11 +58,11 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
- -D BUILD_I286=$(usex i286 ON OFF)
- -D BUILD_HAXM=$(usex haxm ON OFF)
+ -D BUILD_I286=$(usex i286)
+ -D BUILD_HAXM=$(usex haxm)
-D BUILD_SDL=ON
- -D BUILD_X=$(usex X ON OFF)
- -D NP2kai_temp=OFF
+ -D BUILD_X=$(usex X)
+ -D USE_SDL2=$(usex sdl2)
)
NP2KAI_VERSION=${PV} NP2KAI_HASH=${MY_REV} cmake_src_configure
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2021-04-17 1:44 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-17 1:44 [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/np2kai/ Lino Bigatti
-- strict thread matches above, loose matches on Subject: below --
2021-04-16 18:57 Lino Bigatti
2021-04-16 11:30 Theo Anderson
2021-04-15 21:23 Lino Bigatti
2021-04-15 12:35 Andrew Ammerlaan
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox